Noel Rappin Writes Here

An Annoyed Rant About Writing Tools

writingNoel Rappin3 Comments

I will grant that I am very much not the market here, but if I’m being super nitpicky, there are five things I want from a writing tool for my technical writing:

  1. It is okay with proportional fonts. I don’t like my prose to look like code, which I realize is irrational.
  2. It should syntax color Markdown, including the backtick for code literals.
  3. It doesn’t go berserk when HTML or other symbols are inserted into the Markdown. I often have to do this for code samples or layout instructions.
  4. It seamlessly syncs using Dropbox. For the build process, the files need to be in a specific location, and making iCloud work with it would be a pain.

It’s surprising to me how many of my favorite writing tools fail one of these requirements.

Sublime and Atom fail on the first point. I’ve used code editors for writing, but I don’t like it.

Most of the Markdown editors for Mac, your iA Writer, your Byword, fail on point 2 by not coloring the backtick. Which I can put up with, but is nice to have. iA Writer also fails the Dropbox sync, in that if a file is open, but Dropbox changes the file on disk, most editors update the file on screen, iA Writer does not, which has actually caused sync failures and loss of data in practice.

Ulysses — which I love, and which I’m typing this on right now — fails the third point. It tries to be smart about markup, and when I drop HTML in, it tries to escape it and adds stuff to the underlying text in unpredictable ways. Dropbox support is shaky too, Ulysses really wants to store all your text in its own file.

The only app that I know about that does all these things is Editorial. On the iPad. Which is actually a great writing tool with a Bluetooth keyboard, though I find editing a little tricky. And of course it’s hard to write on the iPad in conjunction with coding (though I’m experimenting with Nitrous IO a little).

MultiMarkdown Composer for Mac is close, but I’ve had stability problems with it in the past. It also has a 3.0 version that the website claims will be ready in April. 2015. (And the 3.0 beta doesn’t syntax color backtick).

End of rant. Am I missing something? Is there a Mac editor that manages all of these ridiculous requirements? Or am I doomed to be vaguely annoyed?